--- Makefile.orig	Mon Sep  4 17:25:03 2000
+++ Makefile	Mon Sep  4 17:31:00 2000
@@ -20,9 +20,9 @@
 ## Your compiler (ANSI required)
 ##
 
-#CC = gcc
+CC = gcc
 #CC = cc
-CC = CC
+#CC = CC
 
 ##
 ## Linker options
@@ -43,7 +43,7 @@
 # GCC : Linux Intel optimised (does not work well)
 #prereleaseflags = -O3 -fomit-frame-pointer -funroll-loops -finline-functions -m486 -malign-double
 # GCC : Linux, FreeBSD, NetBSD compiler flags (recommended)
-#prereleaseflags = -Wall -g
+prereleaseflags = -Wall -g -O3
 # Qnx
 #prereleaseflags = -Oeax
 # SGI Mipspro
@@ -51,7 +51,7 @@
 # Sun Workshop C Compiler
 #prereleaseflags = -v -g -xstrconst
 # Sun Workshop C++ Compiler
-prereleaseflags = +w -g
+#prereleaseflags = +w -g
 
 # For building a shared lib add this	(don't use: experimental)
 #prereleaseflags = $prereleaseflags -fPIC
@@ -61,9 +61,9 @@
 ##
 
 # Linux, NetBSD, FreeBSD, BSDI, OSF1, SunOS4this 
-#RANLIB = ranlib
+RANLIB = ranlib
 # SVR4, Irix, AIX, Qnx, Solaris 2.x
-RANLIB = /bin/true
+#RANLIB = /bin/true
 
 ##
 ## System configuration flags
@@ -78,7 +78,7 @@
 # Motorola SVR4, Esix 4.0.4
 #sysconfigflags = -DSVR4
 # Linux
-#sysconfigflags = -DLINUX -Dlinux -DSVR4
+sysconfigflags = -DLINUX -Dlinux -DSVR4
 # OSF1
 #sysconfigflags = -std1 -DDECOSF1
 # Qnx
@@ -90,7 +90,7 @@
 # Irix
 #sysconfigflags = -DSVR4 -DIRIX
 # Solaris2.5 & 2.5.1
-sysconfigflags = -DSOLARIS -DSVR4
+#sysconfigflags = -DSOLARIS -DSVR4
 
 # Use Motif 1.2.x
 sysconfigflags += -DMOTIF1_2
@@ -122,7 +122,7 @@
 # Irix
 #syslibs = -lPW
 # Solaris 2.x, Motorola SVR4
-syslibs = -lsocket -lnsl
+#syslibs = -lsocket -lnsl
 
 ##
 ## X11 includes
@@ -133,11 +133,11 @@
 #xinc	= -I/usr/include/X11
 #xinc	= -I/usr/X11/include
 # Linux, FreeBSD
-#xinc	= -I/usr/X11R6/include
+xinc	= -I/usr/X11R6/include
 # Irix
 #xinc	= -I/usr/include
 # Solaris 2.x
-xinc	= -I/usr/openwin/include -I/usr/dt/include
+#xinc	= -I/usr/openwin/include -I/usr/dt/include
 
 
 ##
@@ -157,20 +157,20 @@
 # QNX
 #xlibs	= -L/usr/X11/lib -lXm_s -lXt_s -lX11_s -lXqnx_s -lXt -lXmu -lXext
 # Linux, FreeBSD, NetBSD with Lesstif
-#xlibs	= -L/usr/X11R6/lib -lXm -lXmu -lXt -lXext -lX11 -lm 
+xlibs	= -L/usr/X11R6/lib -lXm -lXmu -lXt -lXext -lX11 -lm
 # Irix
 #xlibs	= -L/usr/lib32 -lXm -lXmu -lXt -lXext -lX11 -lm 
 # Solaris 2.x
-xlibs	= -L/usr/openwin/lib -R/usr/openwin/lib -L/usr/dt/lib -R/usr/dt/lib
-xlibs	+= -lXm -lXmu -lXt -lXext -lX11 -lm
+#xlibs	= -L/usr/openwin/lib -R/usr/openwin/lib -L/usr/dt/lib -R/usr/dt/lib
+#xlibs	+= -lXm -lXmu -lXt -lXext -lX11 -lm
 
 ##
 ## PNG support (PNGLIB 0.99d and ZLIB 1.0.9)
 ##
 
 # Linux
-#pnginc  = /usr/include
-#pnglibs = /usr/lib/libpng.a /usr/lib/libz.a
+pnginc  = /usr/include
+pnglibs = /usr/lib/libpng.a /usr/lib/libz.a
 # Irix 
 #pnginc   = /usr/local/include
 #pnglibs  = /usr/local/lib/libpng.a /usr/lib32/libz.a
@@ -178,8 +178,8 @@
 #pnginc  = /usr/local/include
 #pnglibs = /usr/local/lib/libpng.a /usr/lib/libz.a
 # Solaris
-pnginc  = /usr/local/include
-pnglibs = /usr/local/lib/libpng.a /usr/local/lib/libz.a
+#pnginc  = /usr/local/include
+#pnglibs = /usr/local/lib/libpng.a /usr/local/lib/libz.a
 
 # To disable PNG support comment this.
 
@@ -190,14 +190,14 @@
 ##
 
 # Linux
-#jpeginc  = /usr/include
-#jpeglibs = /usr/lib/libjpeg.a
+jpeginc  = /usr/include
+jpeglibs = /usr/lib/libjpeg.a
 # Irix
 #jpeginc   = /usr/include
 #jpeglibs  = /usr/lib32/libjpeg.so
 # Solaris FreeBSD
-jpeginc  = /usr/local/include
-jpeglibs = /usr/local/lib/libjpeg.a
+#jpeginc  = /usr/local/include
+#jpeglibs = /usr/local/lib/libjpeg.a
 
 # To disable JPEG support (not recommended) comment this.
 
@@ -231,28 +231,28 @@
 ## MULTICAST support
 ## 
 
-mcdir = $(PWD)/libmc
-mcflag = -I$(mcdir) -DMULTICAST
-mclib = $(mcdir)/libmc.a
+#mcdir = $(PWD)/libmc
+#mcflag = -I$(mcdir) -DMULTICAST
+#mclib = $(mcdir)/libmc.a
 
 ##
 ## OBJECT dynamique plugin support (new and experimental)
 ## 
 
 # to compile mMosaic with plugins
-plugdir = $(PWD)/plugins/pluglib
-pluglib = $(plugdir)/libmMplug.a
-plugflags = -I$(plugdir) -DOBJECT
+#plugdir = $(PWD)/plugins/pluglib
+#pluglib = $(plugdir)/libmMplug.a
+#plugflags = -I$(plugdir) -DOBJECT
 
 # to compile plugins given as examples
-explugdir = $(PWD)/plugins/examples
+#explugdir = $(PWD)/plugins/examples
 # for gcc
 #explugccflag = -fpic
 #explugldflag = -shared
 #
 # for Solaris cc workshop
-explugccflag = -I$(plugdir) -KPIC
-explugldflag = -G
+#explugccflag = -I$(plugdir) -KPIC
+#explugldflag = -G
 
 ##
 ## Customization flags
